use ombutel;

insert into `ombu_modules` (`name`, `has_dialplan`, `admin`, `portal`, `multi_tenant`) values
('geo_firewall', 'no', 'yes', 'no', 'no');

set @module_id = last_insert_id();

insert into `ombu_role_privileges` (`role_id`,`module_id`, `allow_view`, `allow_add`, `allow_edit`, `allow_delete`)
select `role_id`,
       @module_id,
       'yes',
       'yes',
       'yes',
       'yes'
from `ombu_roles`
where `role` = 'super_administrator';

insert into `ombu_menu` (`label`, `parent_id`, `module_id`, `sort`)
select
  'menu.geo_firewall',
  `menu_id`,
  @module_id,
  10
from `ombu_menu`
where `label` = 'menu.security' and `icon` is not null;

create table `ombu_geo_firewall` (
  `id` int unsigned not null auto_increment,
  `country` varchar(255) not null,
  `iso` varchar(255) not null,
  `blocked` enum('yes', 'no') not null default 'no',
  primary key (`id`),
  unique (`iso`)
) engine=InnoDB default charset=utf8;

insert into `ombu_geo_firewall` (`iso`, `country`) values
('af', 'Afghanistan'),
('al', 'Albania'),
('dz', 'Algeria'),
('ds', 'American Samoa'),
('ad', 'Andorra'),
('ao', 'Angola'),
('ai', 'Anguilla'),
('aq', 'Antarctica'),
('ag', 'Antigua and Barbuda'),
('ar', 'Argentina'),
('am', 'Armenia'),
('aw', 'Aruba'),
('au', 'Australia'),
('at', 'Austria'),
('az', 'Azerbaijan'),
('bs', 'Bahamas'),
('bh', 'Bahrain'),
('bd', 'Bangladesh'),
('bb', 'Barbados'),
('by', 'Belarus'),
('be', 'Belgium'),
('bz', 'Belize'),
('bj', 'Benin'),
('bm', 'Bermuda'),
('bt', 'Bhutan'),
('bo', 'Bolivia'),
('ba', 'Bosnia and Herzegovina'),
('bw', 'Botswana'),
('bv', 'Bouvet Island'),
('br', 'Brazil'),
('io', 'British Indian Ocean Territory'),
('bn', 'Brunei Darussalam'),
('bg', 'Bulgaria'),
('bf', 'Burkina Faso'),
('bi', 'Burundi'),
('kh', 'Cambodia'),
('cm', 'Cameroon'),
('ca', 'Canada'),
('cv', 'Cape Verde'),
('ky', 'Cayman Islands'),
('cf', 'Central African Republic'),
('td', 'Chad'),
('cl', 'Chile'),
('cn', 'China'),
('cx', 'Christmas Island'),
('cc', 'Cocos (Keeling) Islands'),
('co', 'Colombia'),
('km', 'Comoros'),
('cd', 'Democratic Republic of the Congo'),
('cg', 'Republic of Congo'),
('ck', 'Cook Islands'),
('cr', 'Costa Rica'),
('hr', 'Croatia (Hrvatska)'),
('cu', 'Cuba'),
('cy', 'Cyprus'),
('cz', 'Czech Republic'),
('dk', 'Denmark'),
('dj', 'Djibouti'),
('dm', 'Dominica'),
('do', 'Dominican Republic'),
('tp', 'East Timor'),
('ec', 'Ecuador'),
('eg', 'Egypt'),
('sv', 'El Salvador'),
('gq', 'Equatorial Guinea'),
('er', 'Eritrea'),
('ee', 'Estonia'),
('et', 'Ethiopia'),
('fk', 'Falkland Islands (Malvinas)'),
('fo', 'Faroe Islands'),
('fj', 'Fiji'),
('fi', 'Finland'),
('fr', 'France'),
('fx', 'France, Metropolitan'),
('gf', 'French Guiana'),
('pf', 'French Polynesia'),
('tf', 'French Southern Territories'),
('ga', 'Gabon'),
('gm', 'Gambia'),
('ge', 'Georgia'),
('de', 'Germany'),
('gh', 'Ghana'),
('gi', 'Gibraltar'),
('gk', 'Guernsey'),
('gr', 'Greece'),
('gl', 'Greenland'),
('gd', 'Grenada'),
('gp', 'Guadeloupe'),
('gu', 'Guam'),
('gt', 'Guatemala'),
('gn', 'Guinea'),
('gw', 'Guinea-Bissau'),
('gy', 'Guyana'),
('ht', 'Haiti'),
('hm', 'Heard and Mc Donald Islands'),
('hn', 'Honduras'),
('hk', 'Hong Kong'),
('hu', 'Hungary'),
('is', 'Iceland'),
('in', 'India'),
('im', 'Isle of Man'),
('id', 'Indonesia'),
('ir', 'Iran (Islamic Republic of)'),
('iq', 'Iraq'),
('ie', 'Ireland'),
('il', 'Israel'),
('it', 'Italy'),
('ci', 'Ivory Coast'),
('je', 'Jersey'),
('jm', 'Jamaica'),
('jp', 'Japan'),
('jo', 'Jordan'),
('kz', 'Kazakhstan'),
('ke', 'Kenya'),
('ki', 'Kiribati'),
('kp', 'Korea, Democratic People''s Republic of'),
('kr', 'Korea, Republic of'),
('xk', 'Kosovo'),
('kw', 'Kuwait'),
('kg', 'Kyrgyzstan'),
('la', 'Lao People''s Democratic Republic'),
('lv', 'Latvia'),
('lb', 'Lebanon'),
('ls', 'Lesotho'),
('lr', 'Liberia'),
('ly', 'Libyan Arab Jamahiriya'),
('li', 'Liechtenstein'),
('lt', 'Lithuania'),
('lu', 'Luxembourg'),
('mo', 'Macau'),
('mk', 'North Macedonia'),
('mg', 'Madagascar'),
('mw', 'Malawi'),
('my', 'Malaysia'),
('mv', 'Maldives'),
('ml', 'Mali'),
('mt', 'Malta'),
('mh', 'Marshall Islands'),
('mq', 'Martinique'),
('mr', 'Mauritania'),
('mu', 'Mauritius'),
('ty', 'Mayotte'),
('mx', 'Mexico'),
('fm', 'Micronesia, Federated States of'),
('md', 'Moldova, Republic of'),
('mc', 'Monaco'),
('mn', 'Mongolia'),
('me', 'Montenegro'),
('ms', 'Montserrat'),
('ma', 'Morocco'),
('mz', 'Mozambique'),
('mm', 'Myanmar'),
('na', 'Namibia'),
('nr', 'Nauru'),
('np', 'Nepal'),
('nl', 'Netherlands'),
('an', 'Netherlands Antilles'),
('nc', 'New Caledonia'),
('nz', 'New Zealand'),
('ni', 'Nicaragua'),
('ne', 'Niger'),
('ng', 'Nigeria'),
('nu', 'Niue'),
('nf', 'Norfolk Island'),
('mp', 'Northern Mariana Islands'),
('no', 'Norway'),
('om', 'Oman'),
('pk', 'Pakistan'),
('pw', 'Palau'),
('ps', 'Palestine'),
('pa', 'Panama'),
('pg', 'Papua New Guinea'),
('py', 'Paraguay'),
('pe', 'Peru'),
('ph', 'Philippines'),
('pn', 'Pitcairn'),
('pl', 'Poland'),
('pt', 'Portugal'),
('pr', 'Puerto Rico'),
('qa', 'Qatar'),
('re', 'Reunion'),
('ro', 'Romania'),
('ru', 'Russian Federation'),
('rw', 'Rwanda'),
('kn', 'Saint Kitts and Nevis'),
('lc', 'Saint Lucia'),
('vc', 'Saint Vincent and the Grenadines'),
('ws', 'Samoa'),
('sm', 'San Marino'),
('st', 'Sao Tome and Principe'),
('sa', 'Saudi Arabia'),
('sn', 'Senegal'),
('rs', 'Serbia'),
('sc', 'Seychelles'),
('sl', 'Sierra Leone'),
('sg', 'Singapore'),
('sk', 'Slovakia'),
('si', 'Slovenia'),
('sb', 'Solomon Islands'),
('so', 'Somalia'),
('za', 'South Africa'),
('gs', 'South Georgia South Sandwich Islands'),
('ss', 'South Sudan'),
('es', 'Spain'),
('lk', 'Sri Lanka'),
('sh', 'St. Helena'),
('pm', 'St. Pierre and Miquelon'),
('sd', 'Sudan'),
('sr', 'Suriname'),
('sj', 'Svalbard and Jan Mayen Islands'),
('sz', 'Swaziland'),
('se', 'Sweden'),
('ch', 'Switzerland'),
('sy', 'Syrian Arab Republic'),
('tw', 'Taiwan'),
('tj', 'Tajikistan'),
('tz', 'Tanzania, United Republic of'),
('th', 'Thailand'),
('tg', 'Togo'),
('tk', 'Tokelau'),
('to', 'Tonga'),
('tt', 'Trinidad and Tobago'),
('tn', 'Tunisia'),
('tr', 'Turkey'),
('tm', 'Turkmenistan'),
('tc', 'Turks and Caicos Islands'),
('tv', 'Tuvalu'),
('ug', 'Uganda'),
('ua', 'Ukraine'),
('ae', 'United Arab Emirates'),
('gb', 'United Kingdom'),
('us', 'United States'),
('um', 'United States minor outlying islands'),
('uy', 'Uruguay'),
('uz', 'Uzbekistan'),
('vu', 'Vanuatu'),
('va', 'Vatican City State'),
('ve', 'Venezuela'),
('vn', 'Vietnam'),
('vg', 'Virgin Islands (British)'),
('vi', 'Virgin Islands (U.S.)'),
('wf', 'Wallis and Futuna Islands'),
('eh', 'Western Sahara'),
('ye', 'Yemen'),
('zm', 'Zambia'),
('zw', 'Zimbabwe');